View Issue Details

Category
SSPBT:本体(SSP)
SeverityminorReproducibilityalways 
Status closed 
Fixed in Version2.5 (リリース) 
Summary0000216: Mac OS Big surでWineを使ってSSPを起動したとき、バルーンの描画がされない
Description

macのWine環境のことなのでここで指摘すべきではないかもしれません、wine側の問題なのでダメ元なのですがもし簡単に解決可能であればお手数ですがお力添えいただけたら嬉しいです。

Mac OS Big surでWineを使ってSSPを起動した場合、下記のようにバルーンの描画で問題が発生します。

・起動時のトークなど一部のトークを除き、ほとんどのトークでバルーンが表示されません。(シェルの表情変化などの反応はあります。起動時、というか多分正確にはそのキャラの起動して最初のトークは正常になります。)
・ゴーストシェルをドラッグで動かすと(バルーンが移動時再度描画されるために?)見えなくなっていたバルーンが正しく描画されます。
・バルーンが残っているときにシェルをクリックするなどして新しいトークを描画させる場合基本的に正常にバルーンが描画されます。
ただし、メニュー画面等でアンカーをクリックしてバルーンを遷移した場合はバルーンが表示されなくなってしまいます。
・バルーンが表示されないままタイムアウトすると次のトークは正常に表示されます。(逆にバルーンが表示されたままタイムアウトすると次のバルーンは逆に表示されないみたいです。そのためランダムトークなどは表示されるトーク、表示されないトークが交互に来ます。)

参考映像
https://imgur.com/PZlMsHR

SSP: 2.5.07
OS: Mac OS11 Big sur
Wine CrossOver 20.0.4
(アップルシリコンでもintelシリコンでも再現されました)

Activities

ponapalt

2021-08-05 17:17

administrator   ~0000497

再現できる環境がないので、何度も試すことになると思いますが、多少心当たりがあるので調整してみます。

ponapalt

2021-08-07 12:42

administrator   ~0000506

2.5.08を試してみてください。

guest

2021-08-10 00:45

reporter   ~0000517

遅れてすみません。
なぜかごくたまにバルーンが描画されないときがありますが、ほぼほぼ治りました!
環境がないにも関わらず対応してくださり本当にありがとうございました。

ponapalt

2021-08-13 17:15

administrator   ~0000523

2.5.09 Fixed

Issue History

Date Modified Username Field Change
2021-07-23 11:40 guest New Issue
2021-08-05 17:17 ponapalt Assigned To => ponapalt
2021-08-05 17:17 ponapalt Status new => acknowledged
2021-08-05 17:17 ponapalt Note Added: 0000497
2021-08-07 12:42 ponapalt Note Added: 0000506
2021-08-10 00:45 guest Note Added: 0000517
2021-08-13 12:11 ponapalt Status acknowledged => confirmed
2021-08-13 17:15 ponapalt Status confirmed => closed
2021-08-13 17:15 ponapalt Resolution open => fixed
2021-08-13 17:15 ponapalt Note Added: 0000523
2021-08-13 17:25 ponapalt Fixed in Version => 2.5 (リリース)